6.0.0-git
2021-01-18

[#3586] Session list provides unserialize error
Summary Session list provides unserialize error
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester phyre (at) rogers (dot) com
Created 2006-03-08 (5430 days ago)
Due
Updated 2006-07-13 (5303 days ago)
Assigned 2006-03-13 (5425 days ago)
Resolved 2006-07-13 (5303 days ago)
Milestone
Patch No

History
2006-07-13 23:32:04 Jan Schneider Comment #6
State ⇒ Resolved
Reply to this comment
Fixed in CVS.
2006-05-22 08:12:52 Jan Schneider Version ⇒ HEAD
Queue ⇒ Horde Framework Packages
 
2006-03-13 16:51:35 Jan Schneider Comment #5
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
The data is what I expected. The encrypted credential data contains a 
pipe character that breaks our preg_split()'ing.
2006-03-13 16:34:47 phyre (at) rogers (dot) com Comment #4
New Attachment: ttt Download
Reply to this comment
See attached (intended to preserve the non-ASCII characters).



You'll notice I took a printout of $vars[$auth+1] and then the first 
section of the $session_data variable which should show you the 
characters leading up to it that are getting misparsed.  This was 
probably similar to the case earlier (forgot to save the session 
before), and causes the same problem.  At this point it's character 90 
of the unserialize



"Notice: unserialize(): Error at offset 90 of 131 bytes in 
/var/www/horde/lib/Horde/SessionHandler.php on line 217"
2006-03-10 00:07:12 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
What's the complete string before the split in this case 
($session_data)? If it's too large, it might sufficient to provide 
only the characters of the "credential" string.
2006-03-08 21:18:10 phyre (at) rogers (dot) com Comment #2 Reply to this comment
a:8:{s:13:"authenticated";b:1;s:6:"userId";s:20:"email@domain.com";s:11:"credentials";s:40:"ùªaA34°? 
ñd36¸ì¸õǐÁÂ???¼



And then the input string just stops.  The session file keeps going, 
but the string it is unserializing ( $vars[$auth+1] ) fails to be 
complete, and hence fails on the unserializing as it just stops.
2006-03-08 21:03:49 phyre (at) rogers (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Session list provides unserialize error
Queue ⇒ Horde Base
Reply to this comment
I seem to be getting a few of these on about 1/3 of the sessions 
active.  I'd imagine there's some character not being escaped properly 
in the session?



Notice: unserialize(): Error at offset 93 of 130 bytes in 
/var/www/horde/lib/Horde/SessionHandler.php on line 217



Notice: unserialize(): Error at offset 92 of 121 bytes in 
/var/www/horde/lib/Horde/SessionHandler.php on line 217



Notice: unserialize(): Error at offset 93 of 130 bytes in 
/var/www/horde/lib/Horde/SessionHandler.php on line 217



Notice: unserialize(): Error at offset 92 of 121 bytes in 
/var/www/horde/lib/Horde/SessionHandler.php on line 217

Saved Queries